Package proton :: Class Disposition

[frames] | no frames]

# Class Disposition

source code

    object --+
             |
            Disposition

Instance Methods

__init__(self, impl, local) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| ACCEPTED = `ACCEPTED`
| MODIFIED = `MODIFIED`
| RECEIVED = `RECEIVED`
| REJECTED = `REJECTED`
| RELEASED = `RELEASED`

Properties
| annotations
| condition
| data
| failed
| section_number
| section_offset
| type
| undeliverable
Inherited from `object`: `__class__`

Method Details

### __init__(self, impl, local)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

Property Details

### annotations

Get Method:
  _get_annotations(self)
Set Method:
  _set_annotations(self, obj)

### condition

Get Method:
  _get_condition(self)
Set Method:
  _set_condition(self, obj)

### data

Get Method:
  _get_data(self)
Set Method:
  _set_data(self, obj)

### failed

Get Method:
  _get_failed(self)
Set Method:
  _set_failed(self, b)

### section_number

Get Method:
  _get_section_number(self)
Set Method:
  _set_section_number(self, n)

### section_offset

Get Method:
  _get_section_offset(self)
Set Method:
  _set_section_offset(self, n)

### type

Get Method:
  unreachable.type(self)

### undeliverable

Get Method:
  _get_undeliverable(self)
Set Method:
  _set_undeliverable(self, b)